# eric6.Plugins.PluginTranslator

Module implementing the Translator plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
needsRestart
packageName
pyqtApi
python2Compatible
shortDescription
translatorPluginObject
version

### Classes

TranslatorPlugin | Class implementing the Translator plug-in.

### Functions

createTranslatorPage | Module function to create the Translator configuration page.
getConfigData | Module function returning data as required by the configuration dialog.
prepareUninstall | Module function to prepare for an uninstallation.

## TranslatorPlugin

Class implementing the Translator plug-in.

### Signals

updateLanguages()
  emitted to indicate a languages update

### Derived from

QObject

### Class Attributes

PreferencesKey

### Class Methods

None

### Methods

TranslatorPlugin | Constructor
__initialize | Private slot to (re)initialize the plugin.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.
getPreferences | Public method to retrieve the various settings.
getPreferencesDefault | Public method to retrieve the various default settings.
setPreferences | Public method to store the various settings.

### Static Methods

None

#### TranslatorPlugin (Constructor)

TranslatorPlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### TranslatorPlugin.__initialize

__initialize()

Private slot to (re)initialize the plugin.

#### TranslatorPlugin.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of None and activation status (boolean)

#### TranslatorPlugin.deactivate

deactivate()

Public method to deactivate this plugin.

#### TranslatorPlugin.getPreferences

getPreferences(key)

Public method to retrieve the various settings.

key
  the key of the value to get

Returns:
  the requested setting

#### TranslatorPlugin.getPreferencesDefault

getPreferencesDefault(key)

Public method to retrieve the various default settings.

key
  the key of the value to get

Returns:
  the requested setting

#### TranslatorPlugin.setPreferences

setPreferences(key, value)

Public method to store the various settings.

key
  the key of the setting to be set (string)
value
  the value to be set

Up

## createTranslatorPage

createTranslatorPage(configDlg)

Module function to create the Translator configuration page.

configDlg
  reference to the configuration dialog

Returns:
  reference to the configuration page

Up

## getConfigData

getConfigData()

Module function returning data as required by the configuration dialog.

Returns:
  dictionary containing the relevant data

Up

## prepareUninstall

prepareUninstall()

Module function to prepare for an uninstallation.

Up